﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="LoadViewStateFailed.aspx.cs"
    Inherits="LoadViewStateFailed" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        </telerik:RadScriptManager>
        <telerik:RadTreeList ID="rtl_Content" runat="server"
            DataKeyNames="EmployeeID" ParentDataKeyNames="ReportsTo" 
            EditMode="InPlace" DataSourceID="SqlDataSourceEmployees">
            <Columns>
                <telerik:TreeListEditCommandColumn />
                <telerik:TreeListBoundColumn DataField="EmployeeID" UniqueName="column" Visible="False">
                </telerik:TreeListBoundColumn>
                <telerik:TreeListTemplateColumn DataField="Title" HeaderText="Combo" UniqueName="col_Type">
                    <ItemTemplate>
                        <asp:Label ID="lblCType" runat="server" Text='<%# Eval("Title") %>' />
                    </ItemTemplate>
                    <EditItemTemplate>
                        <telerik:RadComboBox runat="server" ID="rcb_CType" Skin="Default" SelectedValue='<%# Bind("Title") %>'
                            DataSource='<%# (new string[] {"Sales Representative", "Vice President, Sales", "Sales Manager", "Inside Sales Coordinator"}) %>' Width="100%" />
                    </EditItemTemplate>
                    <ItemStyle Width="75px" HorizontalAlign="Center" />
                    <HeaderStyle Width="75px" HorizontalAlign="Center" />
                </telerik:TreeListTemplateColumn>
            </Columns>
        </telerik:RadTreeList>
        <asp:SqlDataSource ID="SqlDataSourceEmployees" runat="server" 
            ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>" 
            SelectCommand="SELECT [EmployeeID], [LastName], [Title], [ReportsTo], [City] FROM [Employees]">
        </asp:SqlDataSource>
    </div>
    </form>
</body>
</html>
